SELECT f.tablespace_name, f.bytes AS bytes_free,
       d.bytes AS bytes_alloc,
       ((d.bytes - f.bytes)/d.bytes) * 100 AS pct_used
  FROM (SELECT tablespace_name, SUM(bytes) AS bytes
          FROM dba_free_space GROUP BY tablespace_name) f,
       (SELECT tablespace_name, SUM(bytes) AS bytes
          FROM dba_data_files GROUP BY tablespace_name) d
 WHERE f.tablespace_name = d.tablespace_name
 ORDER BY 1
/
