CREATE VIEW emp_dept AS
  SELECT empno, ename, deptno, dname
    FROM emp JOIN dept USING (deptno)
/

SELECT * FROM emp_dept
/

UPDATE emp_dept SET dname = 'MARKETING'
 WHERE dname = 'SALES'
/

-- ORA-01779: cannot modify a column which maps to a non key-preserved table
-- In this view, dept is not a key-preserved table: each row in DEPT can
-- have many rows in EMP_DEPT.
