-- Examine the data file countries.txt
--   more countries.txt

CONNECT student/pupil

CREATE TABLE countries_ext (
  country                        VARCHAR2(40),
  region                         VARCHAR2(25)
)
ORGANIZATION EXTERNAL (
  TYPE ORACLE_LOADER
  DEFAULT DIRECTORY external_table_dir
  ACCESS PARAMETERS (
    FIELDS RTRIM (
      country (1:40),
      region  (41:66)
    )
  )
  LOCATION ('countries.txt')
)
/


